Pterodactyldocs
Client A P I

List server permissions

Returns the permission keys that can be granted to server subusers.

GET/api/client/permissions
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/client/permissions"
{  "object": "system_permissions",  "attributes": {    "permissions": {      "property1": {        "description": "string",        "keys": {          "property1": "string",          "property2": "string"        }      },      "property2": {        "description": "string",        "keys": {          "property1": "string",          "property2": "string"        }      }    }  }}